<?xml version="1.0"?>
<VinTag>
 <version>1.0.0</version>
 <file name="SD Card - Test App.c">
  <struct name="_vos_tcb_t" line="78" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="next" offset="0" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="state" offset="16" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="orig_priority" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="priority" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="quantum" offset="40" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="delay" offset="48" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="sp" offset="64" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="eax" offset="80" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="ebx" offset="112" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="ecx" offset="144" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r0" offset="176" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r1" offset="208" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r2" offset="240" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r3" offset="272" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="system_data" offset="304" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="system_profiler" offset="320" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="flags" offset="336" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="semaphore_list" offset="352" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="_msi_ioctl_cb_info_t" line="65" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h">
   <member name="vendorId" offset="0" size="64"
    basetype="CHAR" baseattr="unsigned," basearray="8,"/>
   <member name="productId" offset="64" size="128"
    basetype="CHAR" baseattr="unsigned," basearray="16,"/>
   <member name="rev" offset="192" size="32"
    basetype="CHAR" baseattr="unsigned," basearray="4,"/>
   <member name="vid" offset="224" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="pid" offset="240" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
  </struct>
  <enum name="dma_status" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <value name="DMA_OK" const="0"/>
   <value name="DMA_INVALID_PARAMETER" const="1"/>
   <value name="DMA_ACQUIRE_ERROR" const="2"/>
   <value name="DMA_ENABLE_ERROR" const="3"/>
   <value name="DMA_DISABLE_ERROR" const="4"/>
   <value name="DMA_CONFIGURE_ERROR" const="5"/>
   <value name="DMA_ERROR" const="6"/>
   <value name="DMA_FIFO_ERROR" const="7"/>
  </enum>
  <enum name="SD_CARD_STATUS" line="70" file="C:\Documents and Settings\david.clark\Desktop\SD Card\sdcard.h">
   <value name="SD_SUCCESS" const="0"/>
   <value name="SD_CARD_INITIALIZATION_FAILED" const="1"/>
   <value name="SD_INVALID_CARD" const="2"/>
   <value name="SD_CMD_FAILED" const="3"/>
   <value name="SD_READ_FAILED" const="4"/>
   <value name="SD_WRITE_FAILED" const="5"/>
   <value name="SD_FRAME_ERROR" const="6"/>
   <value name="SD_WRITE_PROTECTED" const="7"/>
   <value name="SD_CARD_FATAL_ERROR" const="255"/>
  </enum>
  <enum name="USBHOST_STATUS" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <value name="USBHOST_OK" const="0"/>
   <value name="USBHOST_NOT_FOUND" const="1"/>
   <value name="USBHOST_PENDING" const="2"/>
   <value name="USBHOST_INVALID_PARAMETER" const="3"/>
   <value name="USBHOST_INVALID_BUFFER" const="4"/>
   <value name="USBHOST_INCOMPLETE_ENUM" const="5"/>
   <value name="USBHOST_INVALID_CONFIGURATION" const="6"/>
   <value name="USBHOST_TD_FULL" const="7"/>
   <value name="USBHOST_EP_FULL" const="8"/>
   <value name="USBHOST_IF_FULL" const="9"/>
   <value name="USBHOST_EP_HALTED" const="10"/>
   <value name="USBHOST_EP_INVALID" const="11"/>
   <value name="USBHOST_INVALID_STATE" const="12"/>
   <value name="USBHOST_ERROR" const="13"/>
   <value name="USBHOST_CC_ERROR" const="16"/>
   <value name="USBHOST_FATAL_ERROR" const="255"/>
  </enum>
  <struct name="_spimaster_context_t" line="65" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\SPIMaster.h">
   <member name="buffer_size" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_fatdrv_ioctl_cb_fs_t" line="118" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="fsType" offset="0" size="8"
    basetype="CHAR" baseattr="signed,"/>
   <member name="freeSpaceH" offset="8" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="freeSpaceL" offset="40" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="capacityH" offset="72" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="capacityL" offset="104" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="bytesPerCluster" offset="136" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="bytesPerSector" offset="168" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="volID" offset="184" size="32"
    basetype="LONG" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_semaphore_list_t" line="151" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="next" offset="0" size="16"
    basename="_vos_semaphore_list_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="siz" offset="16" size="8"
    basetype="CHAR" baseattr="signed,"/>
   <member name="flags" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="result" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="list" offset="40" size="16"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr," basearray="1,"/>
  </struct>
  <struct name="_fatdrv_ioctl_cb_dir_t" line="146" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="filename" offset="0" size="16"
    basetype="CHAR" baseattr="signed,ptr,"/>
  </struct>
  <enum name="SPIMASTER_STATUS" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\SPIMaster.h">
   <value name="SPIMASTER_OK" const="0"/>
   <value name="SPIMASTER_INVALID_PARAMETER" const="1"/>
   <value name="SPIMASTER_DMA_NOT_ENABLED" const="2"/>
   <value name="SPIMASTER_ERROR" const="3"/>
   <value name="SPIMASTER_FATAL_ERROR" const="255"/>
  </enum>
  <struct name="_vos_mutex_t" line="120" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="threads" offset="0" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="owner" offset="16" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="attr" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="ceiling" offset="40" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_fatdrv_ioctl_cb_file_t" line="136" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="filename" offset="0" size="16"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <member name="offset" offset="16" size="32"
    basetype="INT" baseattr="signed,"/>
   <member name="mode" offset="48" size="8"
    basetype="CHAR" baseattr="signed,"/>
  </struct>
  <struct name="_fat_stream_t" line="162" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="file_ctx" offset="0" size="16"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="buf" offset="16" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <member name="len" offset="32" size="32"
    basetype="LONG" baseattr="unsigned,"/>
   <member name="actual" offset="64" size="32"
    basetype="LONG" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_device_t" line="17" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h">
   <member name="mutex" offset="0" size="48"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr=""/>
   <member name="driver" offset="48" size="16"
    basename="_vos_driver_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="context" offset="64" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="_fatdrv_ioctl_cb_time_t" line="151" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="crtDate" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="crtTime" offset="16" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="wrtDate" offset="32" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="wrtTime" offset="48" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="accDate" offset="64" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_driver_t" line="6" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h">
   <member name="open" offset="0" size="32"
    basetype="VOID" baseattr=""/>
   <member name="close" offset="32" size="32"
    basetype="VOID" baseattr=""/>
   <member name="read" offset="64" size="32"
    basetype="CHAR" baseattr="signed,"/>
   <member name="write" offset="96" size="32"
    basetype="CHAR" baseattr="signed,"/>
   <member name="ioctl" offset="128" size="32"
    basetype="CHAR" baseattr="signed,"/>
   <member name="interrupt" offset="160" size="32"
    basetype="VOID" baseattr=""/>
   <member name="flags" offset="192" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_system_data_area_t" line="196" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="next" offset="0" size="16"
    basename="_vos_system_data_area_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="tcb" offset="16" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="count" offset="32" size="32"
    basetype="INT" baseattr="unsigned,"/>
  </struct>
  <struct name="_msi_xfer_cb_t" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h">
   <member name="sector" offset="0" size="32"
    basetype="LONG" baseattr="unsigned,"/>
   <member name="s" offset="32" size="16"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="buf" offset="48" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <member name="buf_len" offset="64" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="total_len" offset="80" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="do_phases" offset="96" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="status" offset="104" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="transport" offset="112" size="96"
    basename="__unnamed_struct_5" basetype="STRUCT" baseattr=""/>
  </struct>
  <enum name="IOMUX_INPUT_SIGNALS" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h">
   <value name="IOMUX_IN_DEBUGGER" const="0"/>
   <value name="IOMUX_IN_UART_RXD" const="1"/>
   <value name="IOMUX_IN_UART_CTS_N" const="2"/>
   <value name="IOMUX_IN_UART_DSR_N" const="3"/>
   <value name="IOMUX_IN_UART_DCD" const="4"/>
   <value name="IOMUX_IN_UART_RI" const="5"/>
   <value name="IOMUX_IN_FIFO_DATA_0" const="6"/>
   <value name="IOMUX_IN_FIFO_DATA_1" const="7"/>
   <value name="IOMUX_IN_FIFO_DATA_2" const="8"/>
   <value name="IOMUX_IN_FIFO_DATA_3" const="9"/>
   <value name="IOMUX_IN_FIFO_DATA_4" const="10"/>
   <value name="IOMUX_IN_FIFO_DATA_5" const="11"/>
   <value name="IOMUX_IN_FIFO_DATA_6" const="12"/>
   <value name="IOMUX_IN_FIFO_DATA_7" const="13"/>
   <value name="IOMUX_IN_FIFO_OE_N" const="14"/>
   <value name="IOMUX_IN_FIFO_RD_N" const="15"/>
   <value name="IOMUX_IN_FIFO_WR_N" const="16"/>
   <value name="IOMUX_IN_SPI_SLAVE_0_CLK" const="17"/>
   <value name="IOMUX_IN_SPI_SLAVE_0_MOSI" const="18"/>
   <value name="IOMUX_IN_SPI_SLAVE_0_CS" const="19"/>
   <value name="IOMUX_IN_SPI_SLAVE_1_CLK" const="20"/>
   <value name="IOMUX_IN_SPI_SLAVE_1_MOSI" const="21"/>
   <value name="IOMUX_IN_SPI_SLAVE_1_CS" const="22"/>
   <value name="IOMUX_IN_SPI_MASTER_MISO" const="23"/>
   <value name="IOMUX_IN_GPIO_PORT_A_0" const="24"/>
   <value name="IOMUX_IN_GPIO_PORT_A_1" const="25"/>
   <value name="IOMUX_IN_GPIO_PORT_A_2" const="26"/>
   <value name="IOMUX_IN_GPIO_PORT_A_3" const="27"/>
   <value name="IOMUX_IN_GPIO_PORT_A_4" const="28"/>
   <value name="IOMUX_IN_GPIO_PORT_A_5" const="29"/>
   <value name="IOMUX_IN_GPIO_PORT_A_6" const="30"/>
   <value name="IOMUX_IN_GPIO_PORT_A_7" const="31"/>
   <value name="IOMUX_IN_GPIO_PORT_B_0" const="32"/>
   <value name="IOMUX_IN_GPIO_PORT_B_1" const="33"/>
   <value name="IOMUX_IN_GPIO_PORT_B_2" const="34"/>
   <value name="IOMUX_IN_GPIO_PORT_B_3" const="35"/>
   <value name="IOMUX_IN_GPIO_PORT_B_4" const="36"/>
   <value name="IOMUX_IN_GPIO_PORT_B_5" const="37"/>
   <value name="IOMUX_IN_GPIO_PORT_B_6" const="38"/>
   <value name="IOMUX_IN_GPIO_PORT_B_7" const="39"/>
   <value name="IOMUX_IN_GPIO_PORT_C_0" const="40"/>
   <value name="IOMUX_IN_GPIO_PORT_C_1" const="41"/>
   <value name="IOMUX_IN_GPIO_PORT_C_2" const="42"/>
   <value name="IOMUX_IN_GPIO_PORT_C_3" const="43"/>
   <value name="IOMUX_IN_GPIO_PORT_C_4" const="44"/>
   <value name="IOMUX_IN_GPIO_PORT_C_5" const="45"/>
   <value name="IOMUX_IN_GPIO_PORT_C_6" const="46"/>
   <value name="IOMUX_IN_GPIO_PORT_C_7" const="47"/>
   <value name="IOMUX_IN_GPIO_PORT_D_0" const="48"/>
   <value name="IOMUX_IN_GPIO_PORT_D_1" const="49"/>
   <value name="IOMUX_IN_GPIO_PORT_D_2" const="50"/>
   <value name="IOMUX_IN_GPIO_PORT_D_3" const="51"/>
   <value name="IOMUX_IN_GPIO_PORT_D_4" const="52"/>
   <value name="IOMUX_IN_GPIO_PORT_D_5" const="53"/>
   <value name="IOMUX_IN_GPIO_PORT_D_6" const="54"/>
   <value name="IOMUX_IN_GPIO_PORT_D_7" const="55"/>
   <value name="IOMUX_IN_GPIO_PORT_E_0" const="56"/>
   <value name="IOMUX_IN_GPIO_PORT_E_1" const="57"/>
   <value name="IOMUX_IN_GPIO_PORT_E_2" const="58"/>
   <value name="IOMUX_IN_GPIO_PORT_E_3" const="59"/>
   <value name="IOMUX_IN_GPIO_PORT_E_4" const="60"/>
   <value name="IOMUX_IN_GPIO_PORT_E_5" const="61"/>
   <value name="IOMUX_IN_GPIO_PORT_E_6" const="62"/>
   <value name="IOMUX_IN_GPIO_PORT_E_7" const="63"/>
  </enum>
  <struct name="_fat_ioctl_cb_t" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="ioctl_code" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="file_ctx" offset="8" size="16"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="get" offset="24" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <member name="set" offset="40" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </struct>
  <struct name="_sdcard_ioctl_cb_attach_t" line="36" file="C:\Documents and Settings\david.clark\Desktop\SD Card\sdcard.h">
   <member name="SPI_Handle" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="GPIO_Handle" offset="16" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="WP_Bit" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="CD_Bit" offset="40" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_msi_ioctl_cb_t" line="57" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h">
   <member name="ioctl_code" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="get" offset="8" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <member name="set" offset="24" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </struct>
  <struct name="_fatdrv_ioctl_cb_attach_t" line="110" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="msi_handle" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="partition" offset="16" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_cond_var_t" line="176" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="threads" offset="0" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="lock" offset="16" size="16"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="state" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_file_context_t" line="51" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <member name="dirEntry" offset="0" size="256"
    basetype="CHAR" baseattr="unsigned," basearray="32,"/>
   <member name="mode" offset="256" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="context" offset="264" size="176"
    basetype="CHAR" baseattr="unsigned," basearray="22,"/>
  </struct>
  <struct name="_gpio_context_t" line="82" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h">
   <member name="port_identifier" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_usbhost_ioctl_cb_class_t" line="293" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="dev_class" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="dev_subclass" offset="8" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="dev_protocol" offset="16" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_usbhost_xfer_t" line="131" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="ep" offset="0" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="s" offset="16" size="16"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="cond_code" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="buf" offset="40" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <member name="len" offset="56" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="flags" offset="72" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="resv1" offset="80" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="zero" offset="88" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <enum name="IOMUX_OUTPUT_SIGNALS" line="106" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h">
   <value name="IOMUX_OUT_DEBUGGER" const="0"/>
   <value name="IOMUX_OUT_UART_TXD" const="1"/>
   <value name="IOMUX_OUT_UART_RTS_N" const="2"/>
   <value name="IOMUX_OUT_UART_DTR_N" const="3"/>
   <value name="IOMUX_OUT_UART_TX_ACTIVE" const="4"/>
   <value name="IOMUX_OUT_FIFO_DATA_0" const="5"/>
   <value name="IOMUX_OUT_FIFO_DATA_1" const="6"/>
   <value name="IOMUX_OUT_FIFO_DATA_2" const="7"/>
   <value name="IOMUX_OUT_FIFO_DATA_3" const="8"/>
   <value name="IOMUX_OUT_FIFO_DATA_4" const="9"/>
   <value name="IOMUX_OUT_FIFO_DATA_5" const="10"/>
   <value name="IOMUX_OUT_FIFO_DATA_6" const="11"/>
   <value name="IOMUX_OUT_FIFO_DATA_7" const="12"/>
   <value name="IOMUX_OUT_FIFO_RXF_N" const="13"/>
   <value name="IOMUX_OUT_FIFO_TXE_N" const="14"/>
   <value name="IOMUX_OUT_PWM_0" const="15"/>
   <value name="IOMUX_OUT_PWM_1" const="16"/>
   <value name="IOMUX_OUT_PWM_2" const="17"/>
   <value name="IOMUX_OUT_PWM_3" const="18"/>
   <value name="IOMUX_OUT_PWM_4" const="19"/>
   <value name="IOMUX_OUT_PWM_5" const="20"/>
   <value name="IOMUX_OUT_PWM_6" const="21"/>
   <value name="IOMUX_OUT_PWM_7" const="22"/>
   <value name="IOMUX_OUT_SPI_SLAVE_0_MOSI" const="23"/>
   <value name="IOMUX_OUT_SPI_SLAVE_0_MISO" const="24"/>
   <value name="IOMUX_OUT_SPI_SLAVE_1_MOSI" const="25"/>
   <value name="IOMUX_OUT_SPI_SLAVE_1_MISO" const="26"/>
   <value name="IOMUX_OUT_SPI_MASTER_CLK" const="27"/>
   <value name="IOMUX_OUT_SPI_MASTER_MOSI" const="28"/>
   <value name="IOMUX_OUT_SPI_MASTER_CS_0" const="29"/>
   <value name="IOMUX_OUT_SPI_MASTER_CS_1" const="30"/>
   <value name="IOMUX_OUT_FIFO_CLKOUT_245" const="31"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_0" const="32"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_1" const="33"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_2" const="34"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_3" const="35"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_4" const="36"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_5" const="37"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_6" const="38"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_7" const="39"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_0" const="40"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_1" const="41"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_2" const="42"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_3" const="43"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_4" const="44"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_5" const="45"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_6" const="46"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_7" const="47"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_0" const="48"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_1" const="49"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_2" const="50"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_3" const="51"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_4" const="52"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_5" const="53"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_6" const="54"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_7" const="55"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_0" const="56"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_1" const="57"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_2" const="58"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_3" const="59"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_4" const="60"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_5" const="61"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_6" const="62"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_7" const="63"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_0" const="64"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_1" const="65"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_2" const="66"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_3" const="67"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_4" const="68"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_5" const="69"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_6" const="70"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_7" const="71"/>
  </enum>
  <struct name="_gpio_ioctl_cb_t" line="89" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h">
   <member name="ioctl_code" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="value" offset="8" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_semaphore_t" line="144" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="val" offset="0" size="16"
    basetype="SHORT" baseattr="signed,"/>
   <member name="threads" offset="16" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="usage_count" offset="32" size="8"
    basetype="CHAR" baseattr="signed,"/>
  </struct>
  <struct name="_vos_dma_config_t" line="41" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <member name="src" offset="0" size="16"
    basename="__unnamed_struct_1" basetype="STRUCT" baseattr=""/>
   <member name="dest" offset="16" size="16"
    basename="__unnamed_struct_2" basetype="STRUCT" baseattr=""/>
   <member name="bufsiz" offset="32" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="mode" offset="48" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="fifosize" offset="56" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="flow_control" offset="64" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="afull_trigger" offset="72" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_usbhost_ioctl_cb_vid_pid_t" line="288" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="vid" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="pid" offset="16" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
  </struct>
  <struct name="_usbhost_ioctl_cb_ep_info_t" line="307" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="number" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="max_size" offset="8" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="speed" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <enum name="FAT_STATUS" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h">
   <value name="FAT_OK" const="0"/>
   <value name="FAT_NOT_FOUND" const="1"/>
   <value name="FAT_READ_ONLY" const="2"/>
   <value name="FAT_PENDING" const="3"/>
   <value name="FAT_INVALID_PARAMETER" const="4"/>
   <value name="FAT_INVALID_BUFFER" const="5"/>
   <value name="FAT_INVALID_FILE_TYPE" const="6"/>
   <value name="FAT_EXISTS" const="7"/>
   <value name="FAT_BPB_INVALID" const="8"/>
   <value name="FAT_NOT_OPEN" const="9"/>
   <value name="FAT_EOF" const="10"/>
   <value name="FAT_DIRECTORY_TABLE_FULL" const="11"/>
   <value name="FAT_DISK_FULL" const="12"/>
   <value name="FAT_ERROR" const="13"/>
   <value name="FAT_MSI_ERROR" const="128"/>
   <value name="FAT_FATAL_ERROR" const="255"/>
  </enum>
  <enum name="MSI_STATUS" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h">
   <value name="MSI_OK" const="0"/>
   <value name="MSI_COMMAND_FAILED" const="1"/>
   <value name="MSI_NOT_FOUND" const="2"/>
   <value name="MSI_INVALID_PARAMETER" const="3"/>
   <value name="MSI_INVALID_BUFFER" const="4"/>
   <value name="MSI_NOT_ACCESSED" const="5"/>
   <value name="MSI_ERROR" const="6"/>
   <value name="MSI_RESERVED" const="64"/>
   <value name="MSI_TRANSPORT_ERROR" const="128"/>
  </enum>
  <enum name="__anon_enum_type_1" line="75" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <value name="IDLE" const="0"/>
   <value name="BLOCKED" const="1"/>
   <value name="READY" const="2"/>
   <value name="RUNNING" const="3"/>
   <value name="DELAYED" const="4"/>
   <value name="GONE" const="5"/>
  </enum>
  <struct name="__unnamed_struct_1" line="45" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <member name="io_addr" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="mem_addr" offset="0" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </struct>
  <struct name="__unnamed_struct_2" line="49" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <member name="io_addr" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="mem_addr" offset="0" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </struct>
  <struct name="__unnamed_struct_3" line="190" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="size" offset="0" size="11"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="pad" offset="11" size="1"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="cond_code" offset="12" size="4"
    basetype="SHORT" baseattr="unsigned,"/>
  </struct>
  <struct name="__unnamed_struct_4" line="281" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="ep" offset="0" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="dif" offset="0" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="__unnamed_struct_5" line="107" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h">
   <member name="usb" offset="0" size="96"
    basename="_usbhost_xfer_t" basetype="STRUCT" baseattr=""/>
  </struct>
  <struct name="__unnamed_struct_6" line="68" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\ioctl.h">
   <member name="uart_baud_rate" offset="0" size="32"
    basetype="LONG" baseattr="unsigned,"/>
   <member name="spi_master_sck_freq" offset="0" size="32"
    basetype="LONG" baseattr="unsigned,"/>
   <member name="param" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="data" offset="0" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="__unnamed_struct_7" line="74" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\ioctl.h">
   <member name="spi_master_sck_freq" offset="0" size="32"
    basetype="LONG" baseattr="unsigned,"/>
   <member name="queue_stat" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="param" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="data" offset="0" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="_common_ioctl_cb_t" line="61" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\ioctl.h">
   <member name="ioctl_code" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="set" offset="8" size="32"
    basename="__unnamed_struct_6" basetype="STRUCT" baseattr=""/>
   <member name="get" offset="40" size="32"
    basename="__unnamed_struct_7" basetype="STRUCT" baseattr=""/>
  </struct>
  <enum name="GPIO_STATUS" line="71" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h">
   <value name="GPIO_OK" const="0"/>
   <value name="GPIO_INVALID_PORT_IDENTIFIER" const="1"/>
   <value name="GPIO_INVALID_PARAMETER" const="2"/>
   <value name="GPIO_INTERRUPT_NOT_ENABLED" const="3"/>
   <value name="GPIO_ERROR" const="4"/>
   <value name="GPIO_FATAL_ERROR" const="255"/>
  </enum>
  <struct name="_usbhost_ioctl_cb_dev_info_t" line="299" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="port_number" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="addr" offset="8" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="interface_number" offset="16" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="speed" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="alt" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_usbhost_context_t" line="314" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="if_count" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="ep_count" offset="8" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="xfer_count" offset="16" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="iso_xfer_count" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <enum name="IOMUX_STATUS" line="195" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h">
   <value name="IOMUX_OK" const="0"/>
   <value name="IOMUX_INVALID_SIGNAL" const="1"/>
   <value name="IOMUX_INVALID_PIN_SELECTION" const="2"/>
   <value name="IOMUX_UNABLE_TO_ROUTE_SIGNAL" const="3"/>
   <value name="IOMUX_INVLAID_IOCELL_DRIVE_CURRENT" const="4"/>
   <value name="IOMUX_INVLAID_IOCELL_TRIGGER" const="5"/>
   <value name="IOMUX_INVLAID_IOCELL_SLEW_RATE" const="6"/>
   <value name="IOMUX_INVLAID_IOCELL_PULL" const="7"/>
   <value name="IOMUX_ERROR" const="8"/>
  </enum>
  <struct name="_usbhost_ioctl_cb_t" line="271" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="ioctl_code" offset="0" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="hub_port" offset="8" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="handle" offset="16" size="16"
    basename="__unnamed_struct_4" basetype="STRUCT" baseattr=""/>
   <member name="get" offset="32" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="set" offset="48" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="_usbhost_xfer_iso_t" line="159" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h">
   <member name="ep" offset="0" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="s" offset="16" size="16"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="cond_code" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="buf" offset="40" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <member name="len" offset="56" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="flags" offset="72" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="resv1" offset="80" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="count" offset="88" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="len_psw" offset="96" size="128"
    basename="__unnamed_struct_3" basetype="STRUCT" baseattr="" basearray="8,"/>
   <member name="frame" offset="224" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
  </struct>
  <typedef name="spimaster_context_t" line="67" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\SPIMaster.h"
   basename="_spimaster_context_t" basetype="STRUCT" baseattr=""/>
  <typedef name="fatdrv_ioctl_cb_fs_t" line="134" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fatdrv_ioctl_cb_fs_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_semaphore_list_t" line="157" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_semaphore_list_t" basetype="STRUCT" baseattr=""/>
  <typedef name="fatdrv_ioctl_cb_dir_t" line="149" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fatdrv_ioctl_cb_dir_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <typedef name="__unknown" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <typedef name="fat_context" line="48" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="VOID" baseattr="ptr,"/>
  <typedef name="usbhost_device_handle" line="126" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basetype="VOID" baseattr="ptr,"/>
  <typedef name="vos_mutex_t" line="125" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_mutex_t" basetype="STRUCT" baseattr=""/>
  <typedef name="fatdrv_ioctl_cb_file_t" line="144" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fatdrv_ioctl_cb_file_t" basetype="STRUCT" baseattr=""/>
  <typedef name="fat_stream_t" line="171" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fat_stream_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_device_t" line="21" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basename="_vos_device_t" basetype="STRUCT" baseattr=""/>
  <typedef name="fatdrv_ioctl_cb_time_t" line="160" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fatdrv_ioctl_cb_time_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_driver_t" line="14" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basename="_vos_driver_t" basetype="STRUCT" baseattr=""/>
  <typedef name="FILE" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basename="_file_context_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_system_data_area_t" line="200" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_system_data_area_t" basetype="STRUCT" baseattr=""/>
  <typedef name="msi_xfer_cb_t" line="109" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h"
   basename="_msi_xfer_cb_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_IO" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <typedef name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <typedef name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="SHORT" baseattr="unsigned,"/>
   <typedef name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <typedef name="fat_ioctl_cb_t" line="108" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fat_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
  <typedef name="sdcard_ioctl_cb_attach_t" line="42" file="C:\Documents and Settings\david.clark\Desktop\SD Card\sdcard.h"
   basename="_sdcard_ioctl_cb_attach_t" basetype="STRUCT" baseattr=""/>
  <typedef name="msi_ioctl_cb_t" line="63" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h"
   basename="_msi_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
  <typedef name="fatdrv_ioctl_cb_attach_t" line="116" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_fatdrv_ioctl_cb_attach_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_cond_var_t" line="180" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_cond_var_t" basetype="STRUCT" baseattr=""/>
  <typedef name="file_context_t" line="60" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basename="_file_context_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_INT" line="40" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <typedef name="gpio_context_t" line="84" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h"
   basename="_gpio_context_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_ioctl_cb_class_t" line="297" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_ioctl_cb_class_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_xfer_t" line="156" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_xfer_t" basetype="STRUCT" baseattr=""/>
  <typedef name="gpio_ioctl_cb_t" line="92" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h"
   basename="_gpio_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_OPEN" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <typedef name="__unknown" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <typedef name="vos_semaphore_t" line="148" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_semaphore_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_CLOSE" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <typedef name="__unknown" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <typedef name="addr_t" line="21" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\config.h"
   basetype="SHORT" baseattr="signed,"/>
  <proto name="PF_IOCTL" line="38" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <typedef name="__unknown" line="38" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <typedef name="size_t" line="20" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\config.h"
   basetype="SHORT" baseattr="signed,"/>
  <typedef name="vos_dma_config_t" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basename="_vos_dma_config_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_ioctl_cb_vid_pid_t" line="291" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_ioctl_cb_vid_pid_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_ioctl_cb_ep_info_t" line="311" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_ioctl_cb_ep_info_t" basetype="STRUCT" baseattr=""/>
  <typedef name="common_ioctl_cb_t" line="75" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\ioctl.h"
   basename="_common_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_ep_handle" line="128" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basetype="VOID" baseattr="ptr,"/>
  <typedef name="usbhost_ioctl_cb_dev_info_t" line="305" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_ioctl_cb_dev_info_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_context_t" line="323" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_context_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_ioctl_cb_t" line="286" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
  <typedef name="usbhost_xfer_iso_t" line="195" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basename="_usbhost_xfer_iso_t" basetype="STRUCT" baseattr=""/>
  <proto name="fnVoidPtr" line="42" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <typedef name="vos_tcb_t" line="97" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr=""/>
  <typedef name="msi_ioctl_cb_info_t" line="73" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\msi.h"
   basename="_msi_ioctl_cb_info_t" basetype="STRUCT" baseattr=""/>
  <label name="main_loop" line="53" file="SD Card - Test App.c"/>  <proto name="IOMux_Setup" line="57" file="SD Card - Test App.c"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="main" line="23" file="SD Card - Test App.c"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="firmware" line="75" file="SD Card - Test App.c"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dma_get_fifo_flow_control" line="85" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="85" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_start_scheduler" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_signal_semaphore_from_isr" line="169" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="s" line="169" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_malloc" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="ptr,">
   <var name="size" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_memcpy" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="ptr,">
   <var name="destination" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="source" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="const,ptr,"/>
   <var name="num" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_memset" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="ptr,">
   <var name="dstptr" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="value" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
   <var name="num" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_get_package_type" line="220" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="vos_dma_get_fifo_data_register" line="84" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="h" line="84" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_dirTableFindFirst" line="259" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="259" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="file_ctx" line="259" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_signal_semaphore" line="168" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="s" line="168" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_fileMod" line="252" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="252" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="attr" line="252" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="stdinAttach" line="41" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="41" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="stdioAttach" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dma_get_fifo_data" line="87" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="87" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="dat" line="87" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="fatdrv_init" line="98" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="vos_dev_num" line="98" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_iocell_get_config" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="drive_current" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="trigger" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="slew_rate" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="pull" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_iomux_define_bidi" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="input_signal" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="output_signal" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_iocell_set_config" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="drive_current" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="trigger" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="slew_rate" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="pull" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_fileRead" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="length" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,"/>
   <var name="buffer" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="hOutput" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="bytes_read" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="fat_fileSeek" line="227" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="227" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="offset" line="227" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="signed,"/>
   <var name="mode" line="227" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_dirEntryIsReadOnly" line="265" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="265" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_get_chip_revision" line="223" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="fat_fileTell" line="229" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="229" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="offset" line="229" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_wait_semaphore_ex" line="167" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <var name="l" line="167" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_list_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_fileOpen" line="222" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="222" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="file_ctx" line="222" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="name" line="222" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="mode" line="222" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_enable_interrupts" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="mask" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_capacity" line="214" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="214" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="bytes_h" line="214" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
   <var name="bytes_l" line="214" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="stderrAttach" line="43" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="43" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dev_read" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="buf" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="num_to_read" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="num_read" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="stdoutAttach" line="42" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="42" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dev_open" line="34" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="dev_num" line="34" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_halt_cpu" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dev_init" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="dev_num" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="driver_cb" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_driver_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="context" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_get_fifo_count" line="86" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="h" line="86" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_getFSType" line="217" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="217" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="usbhost_init" line="326" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="devNum_1" line="326" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="devNum_2" line="326" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="context" line="326" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\USBHost.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_usbhost_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_freeSpace" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="bytes_h" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
   <var name="bytes_l" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
   <var name="scan" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_fileClose" line="223" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="223" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_iomux_define_input" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="signal" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_fileWrite" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="length" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,"/>
   <var name="buffer" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="hOutput" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="bytes_written" line="234" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_disable_interrupts" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="mask" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_dirEntryIsDirectory" line="267" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="267" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_init_heap" line="24" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dev_close" line="38" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="h" line="38" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dev_ioctl" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="cb" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dev_write" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="buf" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="num_to_write" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="num_written" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="fat_fileDelete" line="238" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="source_file_ctx" line="238" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_fileRename" line="249" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="249" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="name" line="249" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
  </proto>
  <proto name="vos_get_clock_frequency" line="213" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="fat_fileSetPos" line="228" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="228" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="offset" line="228" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_set_clock_frequency" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="frequency" line="212" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="feof" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_fileRewind" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_enable" line="81" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="81" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_reset_vnc2" line="238" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_iomux_define_output" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="signal" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_getVolumeID" line="218" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="218" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="volID" line="218" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="spimaster_init" line="74" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\SPIMaster.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="devNum" line="72" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\SPIMaster.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="context" line="73" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\SPIMaster.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_spimaster_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_wait_on_complete" line="83" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="VOID" baseattr="">
   <var name="h" line="83" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_lock_mutex" line="132" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="132" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_power_down" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="wakeMask" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_init_mutex" line="131" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="131" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="state" line="131" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_dirEntryIsVolumeLabel" line="264" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="264" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fread" line="58" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="SHORT" baseattr="signed,">
   <var name="__unknown" line="58" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="__unknown" line="58" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
   <var name="__unknown" line="58" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
   <var name="__unknown" line="58" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fgetc" line="62" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="62" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fseek" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="offset" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="signed,"/>
   <var name="whence" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
  </proto>
  <proto name="vos_get_priority_ceiling" line="135" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="m" line="135" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="ftell" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fopen" line="51" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basename="_file_context_t" basetype="STRUCT" baseattr="ptr,">
   <var name="__unknown" line="51" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
   <var name="__unknown" line="51" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="fgets" line="63" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="CHAR" baseattr="signed,ptr,">
   <var name="__unknown" line="63" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="__unknown" line="63" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
   <var name="__unknown" line="63" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_disable" line="82" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="82" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_set_priority_ceiling" line="136" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="136" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="priority" line="136" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fputc" line="64" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="64" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
   <var name="__unknown" line="64" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_release" line="78" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="VOID" baseattr="">
   <var name="h" line="78" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="fputs" line="65" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="65" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
   <var name="__unknown" line="65" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_acquire" line="77" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="SHORT" baseattr="unsigned,">
  </proto>
  <proto name="fat_dirChangeDir" line="276" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="276" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="name" line="276" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_delay_msecs" line="102" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="ms" line="102" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_stack_usage" line="191" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="__unknown" line="191" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_dirTableFind" line="258" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="258" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="file_ctx" line="258" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="name" line="258" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
  </proto>
  <proto name="fat_getDevHandle" line="213" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="fat_ctx" line="213" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_get_profile" line="194" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="INT" baseattr="unsigned,">
   <var name="__unknown" line="194" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_dirCreateDir" line="277" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="277" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="name" line="277" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="fat_dirEntryTime" line="274" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="file_ctx" line="274" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="offset" line="274" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="fclose" line="52" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="52" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_fileTruncate" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_dirEntrySize" line="268" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="LONG" baseattr="unsigned,">
   <var name="file_ctx" line="268" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="rewind" line="68" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="VOID" baseattr="">
   <var name="__unknown" line="68" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="memset" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="VOID" baseattr="ptr,">
   <var name="dstptr" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="value" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
   <var name="num" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="memcpy" line="24" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="VOID" baseattr="ptr,">
   <var name="destination" line="24" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="source" line="24" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="const,ptr,"/>
   <var name="num" line="24" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_delay_cancel" line="103" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="tcb" line="103" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fwrite" line="59" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="SHORT" baseattr="signed,">
   <var name="__unknown" line="59" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="const,ptr,"/>
   <var name="__unknown" line="59" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
   <var name="__unknown" line="59" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
   <var name="__unknown" line="59" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="strcat" line="30" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="CHAR" baseattr="signed,ptr,">
   <var name="destination" line="30" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="source" line="30" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="printf" line="49" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="fmt" line="49" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="strlen" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="SHORT" baseattr="signed,">
   <var name="str" line="31" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="strcmp" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="INT" baseattr="signed,">
   <var name="str1" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
   <var name="str2" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="strcpy" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="CHAR" baseattr="signed,ptr,">
   <var name="destination" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="source" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="vos_dma_retained_configure" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="mem_addr" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="bufsiz" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_dirDirIsEmpty" line="262" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="262" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_unlock_mutex" line="134" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="134" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="getchar" line="66" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
  </proto>
  <proto name="sd_init" line="24" file="C:\Documents and Settings\david.clark\Desktop\SD Card\sdcard.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="dev_num" line="24" file="C:\Documents and Settings\david.clark\Desktop\SD Card\sdcard.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="putchar" line="67" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="67" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
  </proto>
  <proto name="fgetpos" line="69" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="69" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="__unknown" line="69" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="signed,ptr,"/>
  </proto>
  <proto name="fprintf" line="57" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="57" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="fmt" line="57" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="vos_create_thread" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,">
   <var name="__unknown" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="__unknown" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="__unknown" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="FUNCTION" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr=""/>
   <var name="__unknown" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="fsetpos" line="70" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="70" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="__unknown" line="70" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="const,signed,ptr,"/>
  </proto>
  <proto name="strncmp" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="INT" baseattr="signed,">
   <var name="str1" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
   <var name="str2" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
   <var name="num" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_dma_configure" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="cb" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_dma_config_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="strncpy" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
   basetype="CHAR" baseattr="signed,ptr,">
   <var name="destination" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="source" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="const,signed,ptr,"/>
   <var name="num" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\string.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_init_cond_var" line="182" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="cv" line="182" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_cond_var_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_wait_cond_var" line="183" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="cv" line="183" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_cond_var_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="m" line="183" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_dirEntryIsFile" line="266" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="266" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fsAttach" line="45" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
   basetype="INT" baseattr="signed,">
   <var name="__unknown" line="45" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\C\include\stdio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_getVolumeLabel" line="219" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="219" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="volLabel" line="219" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
  </proto>
  <proto name="vos_stop_profiler" line="193" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="fat_time" line="255" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="time" line="255" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,"/>
  </proto>
  <proto name="fat_open" line="207" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="VOID" baseattr="ptr,">
   <var name="hMsi" line="207" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="partition" line="207" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="status" line="207" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="fat_init" line="206" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_trylock_mutex" line="133" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="m" line="133" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_bytesPerSector" line="216" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="216" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="bytes" line="216" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_free" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="">
   <var name="ptrFree" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_init" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="quantum" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="tick_cnt" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="num_devices" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_init_semaphore" line="165" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="sem" line="165" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="count" line="165" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_wait_semaphore" line="166" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="s" line="166" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_dirEntryIsValid" line="263" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="file_ctx" line="263" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_start_profiler" line="192" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="fat_close" line="208" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="VOID" baseattr="">
   <var name="fat_ctx" line="208" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="gpio_init" line="99" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="devNum" line="97" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="context" line="98" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\gpio.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="fat_bytesPerCluster" line="215" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="215" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="bytes" line="215" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="LONG" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_signal_cond_var" line="184" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="cv" line="184" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_cond_var_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="fat_dirTableFindNext" line="260" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="fat_ctx" line="260" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="file_ctx" line="260" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\drivers\include\fat.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <var name="tcbFirmware" line="18" file="SD Card - Test App.c"
   type="AUTO" storage="AUTO VAR" attr="global,"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
 <function name="main" line="23" file="SD Card - Test App.c" 
  basetype="VOID" baseattr="">
  <block line="24" file="SD Card - Test App.c">
    <var name="spimasterCtx" line="26" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_spimaster_context_t" basetype="STRUCT" baseattr=""/>
    <var name="gpioCtx" line="28" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_gpio_context_t" basetype="STRUCT" baseattr=""/>
  </block>
 </function>
 <function name="IOMux_Setup" line="57" file="SD Card - Test App.c" 
  basetype="CHAR" baseattr="unsigned,">
  <block line="58" file="SD Card - Test App.c">
    <var name="packageType" line="59" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="CHAR" baseattr="unsigned,"/>
   <block line="61" file="SD Card - Test App.c">
   </block>
  </block>
 </function>
 <function name="firmware" line="75" file="SD Card - Test App.c" 
  basetype="VOID" baseattr="">
  <block line="76" file="SD Card - Test App.c">
    <var name="hSpiMaster" line="80" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="SHORT" baseattr="unsigned,"/>
    <var name="hFat" line="80" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="SHORT" baseattr="unsigned,"/>
    <var name="hGPIO" line="80" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="SHORT" baseattr="unsigned,"/>
    <var name="fat_cb" line="84" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_fatdrv_ioctl_cb_attach_t" basetype="STRUCT" baseattr=""/>
    <var name="file" line="88" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_file_context_t" basetype="STRUCT" baseattr="ptr,"/>
    <var name="gpio_iocb" line="82" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_gpio_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
    <var name="msi_cb" line="81" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_msi_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
    <var name="s" line="78" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="CHAR" baseattr="unsigned,ptr,"/>
    <var name="fat_iocb" line="85" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_fat_ioctl_cb_t" basetype="STRUCT" baseattr=""/>
    <var name="hSDCard" line="80" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="SHORT" baseattr="unsigned,"/>
    <var name="sd_cb" line="83" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basename="_sdcard_ioctl_cb_attach_t" basetype="STRUCT" baseattr=""/>
    <var name="card_type" line="77" file="SD Card - Test App.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="CHAR" baseattr="unsigned,"/>
   <block line="114" file="SD Card - Test App.c">
   </block>
   <block line="121" file="SD Card - Test App.c">
   </block>
  </block>
 </function>
 </file>
</VinTag>
